{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit Coupon{% endblock %}
{% block coupon_active %}active{% endblock %}
{% block parent_coupon_a_active %}active{% endblock %}
{% block parent_coupon_i_active %}active{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <section class="panel panel-content">
            <header class="panel-heading" style="font-size: 20px">
                <span>Edit Coupon</span>
            </header>
            <div class="panel-body">
                <form class="form-horizontal" action="" role="form" method="post"
                      enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="account_group" class="col-lg-2 col-sm-2 control-label">Code<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.number }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="name" class="col-lg-2 col-sm-2 control-label">Name<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.name }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="name_cn" class="col-lg-2 col-sm-2 control-label">Name CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.name_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="name_cn" class="col-lg-2 col-sm-2 control-label">Coupon Type<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.coupon_type }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="title" class="col-lg-2 col-sm-2 control-label">Description<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.title }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="title_cn" class="col-lg-2 col-sm-2 control-label">Description CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.title_cn }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="from_date" class="col-lg-4 col-sm-4 control-label">From Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.from_date }}
                                    <span id="lbDateError" class="text-danger hidden">* Please input from date smaller then to date.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="to_date" class="col-lg-4 col-sm-4 control-label">To Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.to_date }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="start_time" class="col-lg-4 col-sm-4 control-label">Start Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.start_time }}
                                    <span id="lbTimeError" class="text-danger hidden">* Please input start time smaller then end time.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="end_time" class="col-lg-4 col-sm-4 control-label">End Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.end_time }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="close_date" class="col-lg-4 col-sm-4 control-label">Current Register</label>
                                <div class="col-lg-8">
                                    {{ form_info.current_register }}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="quantity" class="col-lg-4 col-sm-4 control-label">Quantity<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.quantity }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="price_off" class="col-lg-4 col-sm-4 control-label">Price Off($)</label>
                                <div class="col-lg-8">
                                    {{ form_info.price_off }}
                                    <span id="lbSalesError" class="text-danger hidden">* Please input coupon sales value</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="price_minus" class="col-lg-4 col-sm-4 control-label">Price Minus(%)</label>
                                <div class="col-lg-8">
                                    {{ form_info.price_minus }}
                                    <span id="lbMinusError" class="text-danger hidden">* Please input from 1 to 100</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="comment" class="col-lg-2 col-sm-2 control-label">Comment </label>
                        <div class="col-lg-10">
                            {{ form_info.comment }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="comment_cn" class="col-lg-2 col-sm-2 control-label">Comment_CN </label>
                        <div class="col-lg-10">
                            {{ form_info.comment_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="hash_tags" class="col-lg-2 col-sm-2 control-label">Hash Tags</label>
                        <div class="col-lg-10">
                            {{ form_info.hash_tags }}
                            <span class="text-primary">* Please input as format: #hashtag1 #hastag2 #hastag3</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="condition" class="col-lg-2 col-sm-2 control-label">Condition </label>
                        <div class="col-lg-10">
                            {{ form_info.condition }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="condition_cn" class="col-lg-2 col-sm-2 control-label">Condition_CN </label>
                        <div class="col-lg-10">
                            {{ form_info.condition_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="week_days" class="col-lg-2 col-sm-2 control-label">Apply Days</label>
                        <div class="col-lg-10">
                            {{ form_info.week_days }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_mail_notify" class="col-lg-2 col-sm-2 control-label">EMail Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_mail_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_sms_notify" class="col-lg-2 col-sm-2 control-label">SMS Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_sms_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_app_notify" class="col-lg-2 col-sm-2 control-label">Apps Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_app_notify }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                        <div class="col-lg-4">
                            <input id="image_path"
                                name="image_path"
                                class="dropify image_path"
                                {% if coupons.image_path %}
                                data-default-file="{% static 'media/' %}{{ coupons.image_path }}"
                                {% endif %}
                                type="file"
                                data-max-file-size="3M"
                                data-show-remove="false"
                                data-min-width="400"
                                data-max-width="1080"
                                data-allowed-file-extensions="png jpg jpeg"/>
                            <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <div class="col-lg-2">

                        </div>
                        <div class="col-lg-10">
                            <div class="checkbox checkbox-primary">
                                <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                       {% if coupons.is_delete == 0 %}checked{% endif %}/>
                                <label for="checkbox-03">
                                    Active
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group bottom-group">
                        <div class="col-lg-offset-2 col-lg-10">
                            <button type="submit" class="btn btn-success" onclick="return validData()">Update
                            </button>
                            <a type="submit" class="btn btn-default" href="{% url 'coupons_list' %}">Cancel</a>
                        </div>
                    </div>
                </form>
            </div>
        </section>
    </div>
</div>
{% endblock %}

{% block extrafoot %}
    <script type="text/javascript">

        function validData() {
            var fromDate = $("#id_from_date").val();
            var toDate = $("#id_to_date").val();
            var startTime = $("#id_start_time").val();
            var endTime = $("#id_end_time").val();

            if(toDate < fromDate || toDate == fromDate) {
                $("#lbDateError").removeClass("hidden");
                return false;
            } else {
                $("#lbDateError").addClass("hidden");
            }

            if(endTime < startTime || endTime == startTime) {
                $("#lbTimeError").removeClass("hidden");
                return false;
            } else {
                $("#lbTimeError").addClass("hidden");
            }

            if($("#id_price_off").val() == "" && $("#id_price_minus").val() == ""){
                $("#lbSalesError").removeClass("hidden");
                $("#id_price_off").focus()
                return false
            } else {
                $("#lbSalesError").addClass("hidden");
                $("#lbMinusError").addClass("hidden");
            }

            if($("#id_price_minus").val() > 100 || $("#id_price_minus").val() == 0 && $("#id_price_minus").is(":focus")) {
                $("#lbMinusError").removeClass("hidden");
                $("#lbMinusError").val() == "Please input from 1 to 100";
                $("#id_price_minus").focus()
                return false;
            } else {
                $("#lbMinusError").addClass("hidden");
                return true;
            }
        }

        $("#id_price_off").on("click", function() {
            $("#id_price_minus").val("");
            $("#id_price_off").css('background-color', 'white');
            $("#id_price_minus").css('background-color', 'lightgray');
            $("#lbMinusError").addClass("hidden");
        });

        $("#id_price_minus").on("click", function() {
            $("#id_price_off").val("");
            $("#id_price_minus").css('background-color', 'white');
            $("#id_price_off").css('background-color', 'lightgray');
        });

        if($("#id_price_minus").val() != "") {
            $("#id_price_off").css('background-color', 'lightgray');
        }

        if($("#id_price_off").val() != "") {
            $("#id_price_minus").css('background-color', 'lightgray');
        }

    </script>
{% endblock %}
